Subject: [tsvwg] Fwd: New Version Notification for draft-szigeti-tsvwg-ieee-802-11e-00.txt

From: "Fred Baker (fred)" <[email-masked]>
Date: Wed, 8 Jul 2015 19:11:47 +0000

May I invite comment on draft-szigeti-tsvwg-ieee-802-11e-00.txt?

> Begin forwarded message:
> 
> From: <[email-masked]>
> Subject: New Version Notification for draft-szigeti-tsvwg-ieee-802-11e-00.txt
> Date: July 6, 2015 at 1:38:30 PM PDT
> To: Tim Szigeti <[email-masked]>, Fred Baker <[email-masked]>
> 
> 
> A new version of I-D, draft-szigeti-tsvwg-ieee-802-11e-00.txt
> has been successfully submitted by Fred Baker and posted to the
> IETF repository.
> 
> Name:		draft-szigeti-tsvwg-ieee-802-11e
> Revision:	00
> Title:		Guidelines for DiffServ to IEEE 802.11e Mapping
> Document date:	2015-07-06
> Group:		Individual Submission
> Pages:		23
> URL:            https://www.ietf.org/internet-drafts/draft-szigeti-tsvwg-ieee-802-11e-00.txt
> Status:         https://datatracker.ietf.org/doc/draft-szigeti-tsvwg-ieee-802-11e/
> Htmlized:       https://tools.ietf.org/html/draft-szigeti-tsvwg-ieee-802-11e-00
> 
> 
> Abstract:
>   As internet traffic is increasingly sourced-from and destined-to
>   wireless endpoints, it is crucial that Quality of Service be aligned
>   between wired and wireless networks; however, this is not always the
>   case by default.  This is due to the fact that two independent
>   standards bodies provide QoS guidance on wired and wireless networks:
>   specifically, the IETF offers design recommendations for wired IP
>   networks, while a separate and autonomous standards-body, the IEEE,
>   administers the standards for wireless 802.11e networks.  The purpose
>   of this document is to propose a set Differentiated Services Code
>   Point (DSCP) to IEEE 802.11e User Priority (UP) mappings to reconcile
>   the design recommendations offered by these two standards bodies,
>   and, as such, to optimize wired-and-wireless interconnect QoS.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>

---

From: ken carlberg <[email-masked]>
Date: Mon, 13 Jul 2015 11:39:03 -0400

Fred and Tim,

its a nice first cut.  I was wondering if you could add EF-admit (RFC-5865) to the existing EF (and user priority 6) in Figure 4.  The code point is being support by some carriers and vendor products, so it would be helpful to recognize this in the table.

with respect to some of the descriptive text, it would be helpful to have a more distinct separation of what is recommended today versus what is being proposed as a new recommendation in your draft.  One example of this is the following in section 4.2.1 Telephony:
   As EF traffic will map by default to UP 5 (and thus the video access
   category), a non-default DSCP-to-UP mapping is RECOMMENDED, such that
   EF DSCP is mapped to UP 6 (and therefore to the voice access
   category).
in the *same* sentence, you’re jumping from the default of today to the new proposal in Figure 4 (a figure that is not mentioned in the above text).  Cutting this into two statements, at the least, would IMO help with clarity.

Finally, one radical thought to consider.  At present, there are 4 values designated for best effort and background, and the rest for video and voice (and including multimedia, signaling, etc.) for figure 4 and to a rough degree in figure 1 (802.11e — sans explicitly citing items like signaling).  Instead of trying to do an exact match on best effort and background, how about cutting this set to three and leaving one reserved for future use.  Otherwise, there is no wiggle room for later other than to overload an existing 802.11e value.  This could also allow for experimentation and/or private network-specific assignments.  Food for thought.

-ken

> On Jul 8, 2015, at 3:11 PM, Fred Baker (fred) <[email-masked] <mailto:[email-masked]>> wrote:
> 
>> From: <[email-masked] <mailto:[email-masked]>>
>> To: Tim Szigeti <[email-masked] <mailto:[email-masked]>>, Fred Baker <[email-masked] <mailto:[email-masked]>>
>> 
>> 
>> URL:            https://www.ietf.org/internet-drafts/draft-szigeti-tsvwg-ieee-802-11e-00.txt <https://www.ietf.org/internet-drafts/draft-szigeti-tsvwg-ieee-802-11e-00.txt>
>> Status:         https://datatracker.ietf.org/doc/draft-szigeti-tsvwg-ieee-802-11e/ <https://datatracker.ietf.org/doc/draft-szigeti-tsvwg-ieee-802-11e/>
>> Htmlized:       https://tools.ietf.org/html/draft-szigeti-tsvwg-ieee-802-11e-00 <https://tools.ietf.org/html/draft-szigeti-tsvwg-ieee-802-11e-00>